package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeErrorInfo;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.exception.TranFailException;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/ThrowNewExceptionAction.class */
public class ThrowNewExceptionAction extends LifeAction {
    private String errorCodeField;
    private String errorCode;
    private String errorMessageField;
    private String errorMessage;

    public String execute(Context context) throws GENEException {
        String resouceDisplayAt;
        Context sessionCtx = getSessionCtx(context);
        String currentErrorCode = this.errorCodeField != null ? (String) context.get(this.errorCodeField) : this.errorCode;
        String currentErrorMessage = this.errorMessageField != null ? (String) context.get(this.errorMessageField) : this.errorMessage;
        String language = (String) sessionCtx.get("session_language");
        String currentErrorCode2 = currentErrorCode == null ? "EBLN0000" : currentErrorCode;
        if (currentErrorMessage == null) {
            LifeErrorInfo errorInfo = LifeStandard.getErrorInfo(currentErrorCode2, language);
            if (errorInfo == null) {
                resouceDisplayAt = currentErrorCode2;
            } else {
                resouceDisplayAt = errorInfo.getShowMsg();
            }
        } else {
            resouceDisplayAt = LifeStandard.getResouceDisplayAt(currentErrorMessage, language);
        }
        TranFailException tfe = new TranFailException(currentErrorCode2, LifeStandard.getResouceDisplayAt(resouceDisplayAt, language), false);
        context.put("GENEException", tfe);
        throw tfe;
    }

    public void setErrorCodeField(String errorCodeField) {
        this.errorCodeField = errorCodeField;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    public void setErrorMessageField(String errorMessageField) {
        this.errorMessageField = errorMessageField;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }
}
